<?php
/**
 * SystemConstDat Entity
 * $Id: SystemConstDat.inc,v 1.1 2016/9/21 12:59:25 AIMS Exp $
 * @author wanggb
 * @package jp.fishow.entity
 * @access public
 */
class SystemConstDat extends CompassDynamicData
{
	var $name;
	var $title;
	var $constant_value;
	var $delete_flg;
	

	/**
	 * 
	 * 
	 * @access public
	 * @param mixed system_const_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->name      		= $record["name"];
		$this->title   			= $record["title"];
		$this->constant_value   = $record["constant_value"];
		$this->delete_flg = $record["delete_flg"];
	}

	/**
	 * 
	 * @access public
	 * @static
	 * @param array 
	 * @return array Entity
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("SystemConstDat", "system_const_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 
	 * @access public
	 * @static
	 * @param array 
	 * @return array Entity
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("system_const_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("SystemConstDat", "system_const_dat", $id, $param);
	}

	
	/**
	 * 
	 * DynamicData
	 * @access public
	 * @return int 
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "name");
		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2Array($v_param, $this, "constant_value");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("system_const_dat", $v_param);
	}
}